# DataExchange
TKIGES
IGESDraw

# IGESDraw_LabelDisplay Class Reference

defines IGESLabelDisplay, Type <402> Form <5>
in package IGESDraw

`#include <IGESDraw_LabelDisplay.hxx>`

Inheritance diagram for IGESDraw_LabelDisplay:

[legend]

## Public Member Functions

Standard_EXPORT | IGESDraw_LabelDisplay ()
Standard_EXPORT void | Init (const Handle(IGESDraw_HArray1OfViewKindEntity)&allViews, const Handle(TColgp_HArray1OfXYZ)&allTextLocations, const Handle(IGESDimen_HArray1OfLeaderArrow)&allLeaderEntities, const Handle(TColStd_HArray1OfInteger)&allLabelLevels, const Handle(IGESData_HArray1OfIGESEntity)&allDisplayedEntities)

This method is used to set the fields of the class
LabelDisplay
- allViews : Pointers to View Entities
- allTextLocations : Coordinates of text locations in the views
- allLeaderEntities : Pointers to Leader Entities in the views
- allLabelLevels : Entity label level numbers in the views
- allDisplayedEntities : Pointers to the entities being displayed
raises exception if Lengths of allViews, allTextLocations,
allLeaderEntities, allLabelLevels and allDisplayedEntities are
not same.
.

Standard_EXPORT Standard_Integer | NbLabels () const
| returns the number of label placements in <me>
Standard_EXPORT Handle_IGESData_ViewKindEntity | ViewItem (const Standard_Integer ViewIndex) const
| returns the View entity indicated by ViewIndex raises an exception if ViewIndex <= 0 or ViewIndex > NbLabels().
Standard_EXPORT gp_Pnt | TextLocation (const Standard_Integer ViewIndex) const
| returns the 3d-Point coordinates of the text location, in the view indicated by ViewIndex raises an exception if ViewIndex <= 0 or ViewIndex > NbLabels().
Standard_EXPORT Handle_IGESDimen_LeaderArrow | LeaderEntity (const Standard_Integer ViewIndex) const
| returns the Leader entity in the view indicated by ViewIndex raises an exception if ViewIndex <= 0 or ViewIndex > NbLabels().
Standard_EXPORT Standard_Integer | LabelLevel (const Standard_Integer ViewIndex) const
| returns the Entity label level number in the view indicated by ViewIndex raises an exception if ViewIndex <= 0 or ViewIndex > NbLabels().
Standard_EXPORT Handle_IGESData_IGESEntity | DisplayedEntity (const Standard_Integer EntityIndex) const
| returns the entity indicated by EntityIndex raises an exception if EntityIndex <= 0 or EntityIndex > NbLabels().
Standard_EXPORT gp_Pnt | TransformedTextLocation (const Standard_Integer ViewIndex) const
| returns the transformed 3d-Point coordinates of the text location, in the view indicated by ViewIndex raises an exception if ViewIndex <= 0 or ViewIndex > NbLabels().
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IGESDraw_HArray1OfViewKindEntity | theViews
Handle_TColgp_HArray1OfXYZ | theTextLocations
Handle_IGESDimen_HArray1OfLeaderArrow | theLeaderEntities
Handle_TColStd_HArray1OfInteger | theLabelLevels
Handle_IGESData_HArray1OfIGESEntity | theDisplayedEntities

## Constructor & Destructor Documentation

Standard_EXPORT IGESDraw_LabelDisplay::IGESDraw_LabelDisplay | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESData_IGESEntity IGESDraw_LabelDisplay::DisplayedEntity | ( | const Standard_Integer | EntityIndex | ) | const

Standard_EXPORT const IGESDraw_LabelDisplay::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_LabelDisplayEntity.

Standard_EXPORT void IGESDraw_LabelDisplay::Init | ( | const Handle(IGESDraw_HArray1OfViewKindEntity)& | allViews,
|  | const Handle(TColgp_HArray1OfXYZ)& | allTextLocations,
|  | const Handle(IGESDimen_HArray1OfLeaderArrow)& | allLeaderEntities,
|  | const Handle(TColStd_HArray1OfInteger)& | allLabelLevels,
|  | const Handle(IGESData_HArray1OfIGESEntity)& | allDisplayedEntities
| ) |

Standard_EXPORT Standard_Integer IGESDraw_LabelDisplay::LabelLevel | ( | const Standard_Integer | ViewIndex | ) | const

Standard_EXPORT Handle_IGESDimen_LeaderArrow IGESDraw_LabelDisplay::LeaderEntity | ( | const Standard_Integer | ViewIndex | ) | const

Standard_EXPORT Standard_Integer IGESDraw_LabelDisplay::NbLabels | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESDraw_LabelDisplay::TextLocation | ( | const Standard_Integer | ViewIndex | ) | const

Standard_EXPORT gp_Pnt IGESDraw_LabelDisplay::TransformedTextLocation | ( | const Standard_Integer | ViewIndex | ) | const

Standard_EXPORT Handle_IGESData_ViewKindEntity IGESDraw_LabelDisplay::ViewItem | ( | const Standard_Integer | ViewIndex | ) | const

## Field Documentation

Handle_IGESData_HArray1OfIGESEntity IGESDraw_LabelDisplay::theDisplayedEntities `[private]`

Handle_TColStd_HArray1OfInteger IGESDraw_LabelDisplay::theLabelLevels `[private]`

Handle_IGESDimen_HArray1OfLeaderArrow IGESDraw_LabelDisplay::theLeaderEntities `[private]`

Handle_TColgp_HArray1OfXYZ IGESDraw_LabelDisplay::theTextLocations `[private]`

Handle_IGESDraw_HArray1OfViewKindEntity IGESDraw_LabelDisplay::theViews `[private]`

The documentation for this class was generated from the following file:

- IGESDraw_LabelDisplay.hxx